Version 1

Check Balance

API to get remaining balance in your IAK wallet.

Path

MethodPath
POSTv1/legacy/index

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: balanceYes
usernameStringYour registered phone numberYes
signStringSignature. Value: md5(username+api_key+'bl')Yes
{
  "commands" : "balance",
  "username" : "123123123",
  "sign"     : "df5e80e8ab7f94a905617282ad8c26f3"
}

Response

AttributesTypeDescriptionMandatory
balanceDoubleYour balanceYes
{
  "data": {
    "balance": 997136249
  }
}

Live Testing

Request URL
https://testprepaid.mobilepulsa.net/v1/legacy/index
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for check balance code explanation using Laravel.

Video thumbnail

Or you can see this video for check balance code explanation using PHP.

Video thumbnail